aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorJaap Keuter <jaap.keuter@xs4all.nl>2011-12-12 07:56:45 +0000
committerJaap Keuter <jaap.keuter@xs4all.nl>2011-12-12 07:56:45 +0000
commit10ca01fb1be72f1f5e6597678f7c504b767d04c6 (patch)
tree66b545fa791764faabb11b6da42ab6ba8ac00121 /tools
parentf5f746f54fefd7dab0e35ebaf3e9fb8ba5cde71d (diff)
Allow for true error reporing.
Move the comment to where it's intended. svn path=/trunk/; revision=40158
Diffstat (limited to 'tools')
-rwxr-xr-xtools/win-setup.sh36
1 files changed, 18 insertions, 18 deletions
diff --git a/tools/win-setup.sh b/tools/win-setup.sh
index 16d7d18e9c..cd0520a3ac 100755
--- a/tools/win-setup.sh
+++ b/tools/win-setup.sh
@@ -4,13 +4,16 @@
#
# $Id$
-# This MUST be in the form
-# http://anonsvn.wireshark.org/wireshark-win32-libs/tags/<date>/packages
-# or
-# http://anonsvn.wireshark.org/wireshark-win64-libs/tags/<date>/packages
-# in order to provide backward compatibility with older trees (e.g. a
-# previous release or an older SVN checkout).
-# Save previous tag.
+err_exit () {
+ echo ""
+ echo "ERROR: $1"
+ shift
+ for str in "$@" ; do
+ echo "$str"
+ done
+ echo ""
+ exit 1
+}
if [ -z "$DOWNLOAD_TAG" ]; then
err_exit "DOWNLOAD_TAG not defined (internal error)"
@@ -20,23 +23,20 @@ if [ -z "$WIRESHARK_TARGET_PLATFORM" ]; then
err_exit "WIRESHARK_TARGET_PLATFORM not defined (internal error)"
fi
+# This MUST be in the form
+# http://anonsvn.wireshark.org/wireshark-win32-libs/tags/<date>/packages
+# or
+# http://anonsvn.wireshark.org/wireshark-win64-libs/tags/<date>/packages
+# in order to provide backward compatibility with older trees (e.g. a
+# previous release or an older SVN checkout).
+# Save previous tag.
+
# Set DOWNLOAD_PREFIX to /packages to test uploads before creating the tag.
#DOWNLOAD_PREFIX="http://anonsvn.wireshark.org/wireshark-$WIRESHARK_TARGET_PLATFORM-libs/trunk/packages/"
DOWNLOAD_PREFIX="http://anonsvn.wireshark.org/wireshark-$WIRESHARK_TARGET_PLATFORM-libs/tags/$DOWNLOAD_TAG/packages/"
TAG_FILE="current_tag.txt"
-err_exit () {
- echo ""
- echo "ERROR: $1"
- shift
- for str in "$@" ; do
- echo "$str"
- done
- echo ""
- exit 1
-}
-
usage () {
echo "Usage:"
echo " $0 --appverify <appname> [<appname>] ..."